diff -urpN --exclude-from=/home/davej/.exclude bk-linus/kernel/panic.c linux-2.5/kernel/panic.c
--- bk-linus/kernel/panic.c	2002-11-21 02:24:37.000000000 +0000
+++ linux-2.5/kernel/panic.c	2002-11-21 18:05:17.000000000 +0000
@@ -96,6 +96,10 @@ NORET_TYPE void panic(const char * fmt, 
 #endif
 	local_irq_enable();
 	for(;;) {
+#ifdef CONFIG_INPUT_KEYBDEV
+		extern void panic_blink(void);
+		panic_blink(); 
+#endif
 		CHECK_EMERGENCY_SYNC
 	}
 }
